package com.yeejoin.precontrol.common.listener.event;

import com.alibaba.fastjson.JSONObject;
import org.springframework.context.ApplicationEvent;

public class BaseEvent extends ApplicationEvent {

    String msg1;

    JSONObject msg2;

    Object objMsg;

    public BaseEvent(Object source, String msg1) {
        super(source);
        this.msg1 = msg1;
    }

    public BaseEvent(Object source, JSONObject msg2) {
        super(source);
        this.msg2 = msg2;
    }

    public BaseEvent(Object source, Object objMsg) {
        super(source);
        this.objMsg = objMsg;
    }

    public String getMsg1() {
        return msg1;
    }

    public void setMsg1(String msg1) {
        this.msg1 = msg1;
    }

    public JSONObject getMsg2() {
        return msg2;
    }

    public void setMsg2(JSONObject msg2) {
        this.msg2 = msg2;
    }

    public Object getObjMsg() {
        return objMsg;
    }

    public void setObjMsg(Object objMsg) {
        this.objMsg = objMsg;
    }
}
